当前位置:  首页  >  服务器技术  >  Linux/unix  >  Linux入门

在centos5.1下安装xmms

在centos5.1下安装xmms--Linux通用技术-Linux技术与应用信息,下面是详情阅读。
还是一二三好,能使大家明白点:
一、要安装一个libFLAC8-1.2.1-1_14.el5.i386.rpm包,在这下载
http://rpm.pbone.net/
输入 libFLAC.so.8
二、下一步:
[root@centos installed]# rpm -ivh --test libFLAC8-1.2.1-1_14.el5.i386.rpm
warning: libFLAC8-1.2.1-1_14.el5.i386.rpm: Header V3 DSA signature: NOKEY, key ID 66534c2b
Preparing... ########################################### [100%]
[root@centos installed]# rpm -ivh libFLAC8-1.2.1-1_14.el5.i386.rpm
warning: libFLAC8-1.2.1-1_14.el5.i386.rpm: Header V3 DSA signature: NOKEY, key ID 66534c2b
Preparing... ########################################### [100%]
1:libFLAC8 ########################################### [100%]
[root@centos installed]# yum install xmms*
Loading "priorities" plugin
Loading "fastestmirror" plugin
Loading "installonlyn" plugin
Setting up Install Process
Setting up repositories
Loading mirror speeds from cached hostfile
Reading repository metadata in from local files
216 packages excluded due to repository priority protections
Parsing package install arguments
Resolving Dependencies
--> Populating transaction set with selected packages. Please wait.
---> Package xmms.i386 1:1.2.10-14.el5.rf set to be updated
---> Package xmms-musepack.i386 0:1.2-3.el5.rf set to be updated
---> Package xmms-mp3.i386 1:1.2.10-16.el5.rf set to be updated
---> Package xmms-devel.i386 1:1.2.10-14.el5.rf set to be updated
---> Package xmms-crossfade.i386 0:0.3.14-1.el5.rf set to be updated
---> Package xmms-skins.i386 1:1.2.10-14.el5.rf set to be updated
---> Package xmms-flac.i386 0:1.2.1-1.el5.rf set to be updated
--> Running transaction check
--> Processing Dependency: libgdk-1.2.so.0 for package: xmms-flac
--> Processing Dependency: libgdk-1.2.so.0 for package: xmms-mp3
--> Processing Dependency: libmikmod.so.2 for package: xmms
--> Processing Dependency: libgdk-1.2.so.0 for package: xmms
--> Processing Dependency: libglib-1.2.so.0 for package: xmms-flac
--> Processing Dependency: libgtk-1.2.so.0 for package: xmms-mp3
--> Processing Dependency: libglib-1.2.so.0 for package: xmms-musepack
--> Processing Dependency: libgtk-1.2.so.0 for package: xmms
--> Processing Dependency: libgthread-1.2.so.0 for package: xmms
--> Processing Dependency: libsamplerate.so.0(libsamplerate.so.0.0) for package: xmms-crossfade
--> Processing Dependency: libsamplerate.so.0 for package: xmms-crossfade
--> Processing Dependency: libgtk-1.2.so.0 for package: xmms-flac
--> Processing Dependency: libglib-1.2.so.0 for package: xmms-mp3
--> Processing Dependency: gtk+ >= 1.2.7 for package: xmms-crossfade
--> Processing Dependency: libgmodule-1.2.so.0 for package: xmms
--> Processing Dependency: gtk+-devel for package: xmms-devel
--> Processing Dependency: libgdk-1.2.so.0 for package: xmms-musepack
--> Processing Dependency: libgmodule-1.2.so.0 for package: xmms-mp3
--> Processing Dependency: libglib-1.2.so.0 for package: xmms
--> Processing Dependency: libgtk-1.2.so.0 for package: xmms-musepack
--> Processing Dependency: libgthread-1.2.so.0 for package: xmms-mp3
--> Processing Dependency: glib >= 1.2.7 for package: xmms-crossfade
--> Processing Dependency: gtk+ >= 1:1.2.2 for package: xmms
--> Processing Dependency: libtag.so.1 for package: xmms-musepack
--> Restarting Dependency Resolution with new changes.
--> Populating transaction set with selected packages. Please wait.
---> Package libsamplerate.i386 0:0.1.2-1.2.el5.rf set to be updated
---> Package taglib.i386 0:1.4-1.2.el5.rf set to be updated
---> Package glib.i386 1:1.2.10-20.el5 set to be updated
---> Package gtk+-devel.i386 1:1.2.10-56.el5 set to be updated
---> Package gtk+.i386 1:1.2.10-56.el5 set to be updated
---> Package mikmod.i386 0:3.1.6-38.1 set to be updated
--> Running transaction check
--> Processing Dependency: libXi-devel for package: gtk+-devel
--> Processing Dependency: libX11-devel for package: gtk+-devel
--> Processing Dependency: gdk-pixbuf >= 0.18.0 for package: gtk+
--> Processing Dependency: libXext-devel for package: gtk+-devel
--> Processing Dependency: glib-devel for package: gtk+-devel
--> Restarting Dependency Resolution with new changes.
--> Populating transaction set with selected packages. Please wait.
---> Package libXi-devel.i386 0:1.0.1-3.1 set to be updated
---> Package glib-devel.i386 1:1.2.10-20.el5 set to be updated
---> Package libX11-devel.i386 0:1.0.3-8.0.1.el5 set to be updated
---> Package libXext-devel.i386 0:1.0.1-2.1 set to be updated
---> Package gdk-pixbuf.i386 1:0.22.0-25.el5 set to be updated
--> Running transaction check
--> Processing Dependency: libXau-devel for package: libX11-devel
--> Processing Dependency: xorg-x11-proto-devel >= 7.0-1 for package: libXext-devel
--> Processing Dependency: libXdmcp-devel for package: libX11-devel
--> Processing Dependency: xorg-x11-proto-devel >= 7.1-2 for package: libX11-devel
--> Processing Dependency: xorg-x11-proto-devel for package: libXi-devel
--> Restarting Dependency Resolution with new changes.
--> Populating transaction set with selected packages. Please wait.
---> Package libXdmcp-devel.i386 0:1.0.1-2.1 set to be updated
---> Package libXau-devel.i386 0:1.0.1-3.1 set to be updated
---> Package xorg-x11-proto-devel.i386 0:7.1-9.el5.centos set to be updated
--> Running transaction check
--> Processing Dependency: mesa-libGL-devel for package: xorg-x11-proto-devel
--> Restarting Dependency Resolution with new changes.
--> Populating transaction set with selected packages. Please wait.
---> Package mesa-libGL-devel.i386 0:6.5.1-7.5.el5 set to be updated
--> Running transaction check

Dependencies Resolved

=============================================================================
Package Arch Version Repository Size
=============================================================================
Installing:
xmms i386 1:1.2.10-14.el5.rf rpmforge 2.3 M
xmms-crossfade i386 0.3.14-1.el5.rf rpmforge 219 k
xmms-devel i386 1:1.2.10-14.el5.rf rpmforge 13 k
xmms-flac i386 1.2.1-1.el5.rf rpmforge 162 k
xmms-mp3 i386 1:1.2.10-16.el5.rf rpmforge 179 k
xmms-musepack i386 1.2-3.el5.rf rpmforge 65 k
xmms-skins i386 1:1.2.10-14.el5.rf rpmforge 2.6 M
Installing for dependencies:
gdk-pixbuf i386 1:0.22.0-25.el5 base 231 k
glib i386 1:1.2.10-20.el5 base 137 k
glib-devel i386 1:1.2.10-20.el5 base 38 k
gtk+ i386 1:1.2.10-56.el5 base 923 k
gtk+-devel i386 1:1.2.10-56.el5 base 363 k
libX11-devel i386 1.0.3-8.0.1.el5 base 665 k
libXau-devel i386 1.0.1-3.1 base 11 k
libXdmcp-devel i386 1.0.1-2.1 base 7.5 k
libXext-devel i386 1.0.1-2.1 base 57 k
libXi-devel i386 1.0.1-3.1 base 52 k
libsamplerate i386 0.1.2-1.2.el5.rf rpmforge 134 k
mesa-libGL-devel i386 6.5.1-7.5.el5 base 465 k
mikmod i386 3.1.6-38.1 base 201 k
taglib i386 1.4-1.2.el5.rf rpmforge 741 k
xorg-x11-proto-devel i386 7.1-9.el5.centos base 253 k

Transaction Summary
=============================================================================
Install 22 Package(s)
Update 0 Package(s)
Remove 0 Package(s)

Total download size: 9.7 M

[ 本帖最后由 relaaxx 于 2008-1-19 22:34 编辑 ]
吐了个 "CAO" !
扫码关注 PHP1 官方微信号
PHP1.CN | 中国最专业的PHP中文社区 | PHP资讯 | PHP教程 | 数据库技术 | 服务器技术 | 前端开发技术 | PHP框架 | 开发工具 | PHP问答
Copyright © 1998 - 2020 PHP1.CN. All Rights Reserved PHP1.CN 第一PHP社区 版权所有